none
C# .net Framwork 4.0 RRS feed

  • Question

  • I have a program that checks installed programs to ensure the correct framework and .net components are installed before the program starts.  This worked great when the target framework was .net 3.5.  If .net 2.0, 3.0 or 3.5 frameworks, were not installed, I would automatically start the installation process and install them as needed, then once all dependent frameworks were installed, I would allow the user to access the main form of the application.  Now with .net 4.0, the program will not even start up if the 4.0 framework is not installed.  Is there a way to target the 4.0 framework and have the program start the install process for the 4.0 framework if it’s not installed?  It worked fine for the 3.5 framework but now that I want to target the 4.0 framework, the program won’t even start unless the 4.0 framework is installed.  Any insight and help would be greatly appreciated.  The program was written in C#.


    Thanks.

    Tuesday, July 13, 2010 5:20 PM

Answers

  • Hi a100011,

    Thank you for your post in .NET Framework Setup Forum!

     

    Some clarification with you

    For your concern, it seems that would you want to deploy framework via visual studio Setup?

     

    If yes, I would recommend some steps, which you could refer.

    1, you could add a new deploy item to your project.

    2, right click Setup, select ‘Properties’ >> click ‘Prerequisites …

    3, here, you could choose which Prerequisites to install, you could certainly choose .NET Framework 4(x86 & x64).

    Click ‘OK’ and completed your deployment.

    If you would like to deploy your application via ClickOnce, you could click following link.

    http://msdn.microsoft.com/en-us/library/wh45kb66(v=VS.80).aspx

    If you make a program, I would provide your some link, which you could refer.

    You could click here: http://blogs.msdn.com/b/astebner/archive/2007/11/29/6608419.aspx

     

    Hope this helps you! If you have any doubts and concerns, please feel free to let me know. We are going to follow-up.

    Best Regards

    Larcolais Gong

    Please remember to mark the replies as answers if they help and unmark them if they provide no help.

    Friday, July 16, 2010 3:45 AM

All replies

  • Hi a100011,

    Thank you for your post in .NET Framework Setup Forum!

     

    Some clarification with you

    For your concern, it seems that would you want to deploy framework via visual studio Setup?

     

    If yes, I would recommend some steps, which you could refer.

    1, you could add a new deploy item to your project.

    2, right click Setup, select ‘Properties’ >> click ‘Prerequisites …

    3, here, you could choose which Prerequisites to install, you could certainly choose .NET Framework 4(x86 & x64).

    Click ‘OK’ and completed your deployment.

    If you would like to deploy your application via ClickOnce, you could click following link.

    http://msdn.microsoft.com/en-us/library/wh45kb66(v=VS.80).aspx

    If you make a program, I would provide your some link, which you could refer.

    You could click here: http://blogs.msdn.com/b/astebner/archive/2007/11/29/6608419.aspx

     

    Hope this helps you! If you have any doubts and concerns, please feel free to let me know. We are going to follow-up.

    Best Regards

    Larcolais Gong

    Please remember to mark the replies as answers if they help and unmark them if they provide no help.

    Friday, July 16, 2010 3:45 AM
  • Hi Teilj,

    I am writing to follow-up this post. Does it work as above?

    I am marking this post as Answered, if you have some finding or concerns, please feel free to unmark this post.

    Best Regards

    Larcolais Gong

    Please remember to mark this replies as answers if they help and unmark them if the provide no help.

    Tuesday, July 20, 2010 1:58 AM